Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.filter
Class ASCIIHexFilter

    java.lang.Object
      org.pdfbox.filter.ASCIIHexFilter

All Implemented Interfaces:
  Filter

public class ASCIIHexFilter
extends Object
implements Filter

This is the used for the ASCIIHexDecode filter.

Version:
  $Revision: 1.8 $
Author:
  Ben Litchfield

Constructor Summary
`ASCIIHexFilter()`

Method Summary
`void` | `decode(InputStream compressedData, OutputStream result, COSDictionary options)` This will decode some compressed data.
`void` | `encode(InputStream rawData, OutputStream result, COSDictionary options)` This will encode some data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASCIIHexFilter

    public ASCIIHexFilter()

Method Detail

### decode

    public void decode(InputStream compressedData,
                       OutputStream result,
                       COSDictionary options)
                throws IOException

  This will decode some compressed data.

  Specified by:
    `decode` in interface `Filter`
  Parameters:
    `compressedData` - The compressed byte stream.
    `result` - The place to write the uncompressed byte stream.
    `options` - The options to use to encode the data.
  Throws:
    `IOException` - If there is an error decompressing the stream.

### encode

    public void encode(InputStream rawData,
                       OutputStream result,
                       COSDictionary options)
                throws IOException

  This will encode some data.

  Specified by:
    `encode` in interface `Filter`
  Parameters:
    `rawData` - The raw data to encode.
    `result` - The place to write to encoded results to.
    `options` - The options to use to encode the data.
  Throws:
    `IOException` - If there is an error compressing the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD